import localGroup from './condition-local-group'

export default {
  ...localGroup,
  key: 'generationGroupId',
  dependentKeys: ['generationQueryCode'],
  disableAllByForce: true,
  isDependencyReady(params) {
    return true
  },
  getList: function(params, $vue) {
    if ($vue.localData.ignoreGroupCategories.includes(params.generationQueryCode)) {
      return Promise.resolve([])
    }
    return this._getList(params, $vue)
  }
}
